<?php 
ob_start();
session_start();
require_once("../conn/conn.php");
//include('../utility/chksession.php');
?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<meta charset="utf-8" />
		<title>Northern Production - User</title>

		<meta name="description" content="" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />

		<!-- bootstrap & fontawesome -->
		<link rel="stylesheet" href="../assets/css/bootstrap.min.css" />
		<link rel="stylesheet" href="../assets/font-awesome/4.5.0/css/font-awesome.min.css" />
        

		<!-- page specific plugin styles -->
        <link rel="stylesheet" href="../assets/css/jquery-ui.custom.min.css" />
		<link rel="stylesheet" href="../assets/css/chosen.min.css" />
		<link rel="stylesheet" href="../assets/css/bootstrap-datepicker3.min.css" />
		<link rel="stylesheet" href="../assets/css/bootstrap-timepicker.min.css" />
		<link rel="stylesheet" href="../assets/css/daterangepicker.min.css" />
		<link rel="stylesheet" href="../assets/css/bootstrap-datetimepicker.min.css" />
		<link rel="stylesheet" href="../assets/css/bootstrap-colorpicker.min.css" />

		<!-- text fonts -->
		<link rel="stylesheet" href="../assets/css/fonts.googleapis.com.css" />

		<!-- ace styles -->
		<link rel="stylesheet" href="../assets/css/ace.min.css" class="ace-main-stylesheet" id="main-ace-style" />

		<!--[if lte IE 9]>
			<link rel="stylesheet" href="assets/css/ace-part2.min.css" class="ace-main-stylesheet" />
		<![endif]-->
		<link rel="stylesheet" href="../assets/css/ace-skins.min.css" />
		<link rel="stylesheet" href="../assets/css/ace-rtl.min.css" />

		<!--[if lte IE 9]>
		  <link rel="stylesheet" href="assets/css/ace-ie.min.css" />
		<![endif]-->

		<!-- inline styles related to this page -->

		<!-- ace settings handler -->
		<script src="../assets/js/ace-extra.min.js"></script>

		<!-- HTML5shiv and Respond.js for IE8 to support HTML5 elements and media queries -->

		<!--[if lte IE 8]>
		<script src="assets/js/html5shiv.min.js"></script>
		<script src="assets/js/respond.min.js"></script>
		<![endif]-->
     
	</head>

	<body class="no-skin">
		<div id="navbar" class="navbar navbar-default          ace-save-state">
			<div class="navbar-container ace-save-state" id="navbar-container">
				<button type="button" class="navbar-toggle menu-toggler pull-left" id="menu-toggler" data-target="#sidebar">
					<span class="sr-only">Toggle sidebar</span>

					<span class="icon-bar"></span>

					<span class="icon-bar"></span>

					<span class="icon-bar"></span>
				</button>

				<div class="navbar-header pull-left">
					<a class="navbar-brand">
						<small>
							<i class="fa fa-bar-chart-o"></i>
							Production NT User
						</small>
					</a>
				</div>

				
			</div><!-- /.navbar-container -->
		</div>

		<div class="main-container ace-save-state" id="main-container">
			<script type="text/javascript">
				try{ace.settings.loadState('main-container')}catch(e){}
			</script>

			<div id="sidebar" class="sidebar                  responsive                    ace-save-state">
				<script type="text/javascript">
					try{ace.settings.loadState('sidebar')}catch(e){}
				</script>

			<?php include("../utility/menu_user.php"); ?>

			</div>

			<div class="main-content">
				<div class="main-content-inner">
					<div class="breadcrumbs ace-save-state" id="breadcrumbs">
						<ul class="breadcrumb">
							<li>
								<i class="ace-icon fa fa-tachometer home-icon"></i>Job Production
							</li>

						</ul><!-- /.breadcrumb -->
					</div>

					<div class="page-content">
						
	<div class="page-header">
							<h1>Dashboard</h1>
						</div><!-- /.page-header -->
						<div class="page-header">
					
						<div class="row">
						  <div class="col-xs-12">
								<!-- PAGE CONTENT BEGINS -->
                                
							<?php //echo $_SESSION['sess_u_Level'];
							
							//echo $_SESSION['id_dep'];
							
							?>
						
                          
								    <?php
								
								$strSQL = "SELECT count(po_status) FROM pd_po where po_status='รอดำเนินการ'";
								$objQuery = mysqli_query($con,$strSQL);   
								$objResult = mysqli_fetch_array($objQuery);
								
								$strSQL1 = "SELECT count(part_status) FROM pd_posub where part_status LIKE'%รอดำเนินการ%'";
								$objQuery1 = mysqli_query($con,$strSQL1);   
								$objResult1 = mysqli_fetch_array($objQuery1);
								
								$strSQL2 = "SELECT count(part_status) FROM pd_posub where part_status='รอดำเนินการงานเครื่องกล'";
								$objQuery2 = mysqli_query($con,$strSQL2);   
								$objResult2 = mysqli_fetch_array($objQuery2);
								
								$strSQL3 = "SELECT count(part_status) FROM pd_posub where part_status='รอดำเนินการงานเชื่อม'";
								$objQuery3 = mysqli_query($con,$strSQL3);   
								$objResult3 = mysqli_fetch_array($objQuery3);
								
								$strSQL4 = "SELECT count(part_status) FROM pd_posub where part_status='รอดำเนินการQC'";
								$objQuery4 = mysqli_query($con,$strSQL4);   
								$objResult4 = mysqli_fetch_array($objQuery4);
								
								$strSQL5 = "SELECT count(part_status) FROM pd_posub where part_status ='รอดำเนินการWhes'";
								$objQuery5 = mysqli_query($con,$strSQL5);   
								$objResult5 = mysqli_fetch_array($objQuery5);
								
								$strSQL6 = "SELECT count(part_status) FROM pd_posub where part_status ='รอดำเนินการ-SUP'";
								$objQuery6 = mysqli_query($con,$strSQL6);   
								$objResult6 = mysqli_fetch_array($objQuery6);
								
								
								?>
                                

                                <?php //------------------------------ ?>
                                
							   <a href="data_dashboardpo.php">
    <div class="infobox infobox-orange">
    <div class="infobox-icon">
	<i class="ace-icon fa fa-bar-chart-o"></i>
	</div>
	<div class="infobox-data">
		<span class="infobox-data-number"><?php echo $objResult['count(po_status)']; ?></span>
		<div class="infobox-content">PO รอดำเนินการ</div>
		</div>
	</div>
	</a>
  
  
       </br>
    
    <a href="data_dashbord.php?table=รอดำเนินการ">
    <div class="infobox infobox-pink">
    <div class="infobox-icon">
	<i class="ace-icon fa fa-bar-chart-o"></i>
	</div>
	<div class="infobox-data">
		<span class="infobox-data-number"><?php echo $objResult1['count(part_status)']; ?></span>
		<div class="infobox-content">แผนรอดำเนินการ</div>
		</div>
	</div>
	</a>

    <a href="data_dashbord.php?table=รอดำเนินการงานเครื่องกล">
    <div class="infobox infobox-blue">
	<div class="infobox-icon">
	<i class="ace-icon fa fa-bar-chart-o"></i>
	</div>
	<div class="infobox-data">
		<span class="infobox-data-number"><?php echo $objResult2['count(part_status)']; ?></span>
		<div class="infobox-content">รอดำเนินการงานเครื่องกล</div>
		</div>
	</div>
	</a>
	
	
    <a href="data_dashbord.php?table=รอดำเนินการงานเชื่อม">
    <div class="infobox infobox-green">
	<div class="infobox-icon">
	<i class="ace-icon fa fa-bar-chart-o"></i>
	</div>
	<div class="infobox-data">
		<span class="infobox-data-number"><?php echo $objResult3['count(part_status)']; ?></span>
		<div class="infobox-content">รอดำเนินการงานเชื่อม</div>
		</div>
	</div>
    </a>
    
    </br>
    
    <a href="data_dashbord.php?table=รอดำเนินการQC">
     <div class="infobox infobox-brown">
	<div class="infobox-icon">
	<i class="ace-icon fa fa-bar-chart-o"></i>
	</div>
	<div class="infobox-data">
		<span class="infobox-data-number"><?php echo $objResult4['count(part_status)']; ?></span>
		<div class="infobox-content">รอดำเนินการ QC</div>
		</div>
	</div>
	</a>
    
    <a href="data_dashbord.php?table=รอดำเนินการSUP">
    <div class="infobox infobox-brown">
	<div class="infobox-icon">
	<i class="ace-icon fa fa-bar-chart-o"></i>
	</div>
	<div class="infobox-data">
		<span class="infobox-data-number"><?php echo $objResult6['count(part_status)']; ?></span>
		<div class="infobox-content">รอดำเนินการ SUP</div>
		</div>
	</div>
	</a>
    
     <a href="data_dashbord.php?table=รอดำเนินการWhes">
     <div class="infobox infobox-purple">
	<div class="infobox-icon">
	<i class="ace-icon fa fa-bar-chart-o"></i>
	</div>
	<div class="infobox-data">
		<span class="infobox-data-number"><?php echo $objResult5['count(part_status)']; ?></span>
		<div class="infobox-content">รอดำเนินการ Whes</div>
		</div>
	</div>
	</a>
    <p>&nbsp; </p>
    
        <?php



$date = date("Y-m-d");

$week = date("N", strtotime($date));//นับลำดับวันที่ในสัปดาห์สัปดาห์ เช่น วันที่ 1,2,3.....
$week1 = date("W", strtotime($date));//นับสัปดาห์ตามจริงของปี เช่นวันนี้เป็นสัปดาห์ที่ 16 ของปี 2014
//$start = date("Y-m-d",strtotime("-".($week-1)." days"));
//$end = date("Y-m-d",strtotime("+".(7-$week)." days"));


$start=date('Y-m-d', strtotime("+30 DAY"));
$end=date('Y-m-d', strtotime("-30 DAY"));

$start1=date('d-m-Y', strtotime("+30 DAY"));
$end1=date('d-m-Y', strtotime("-30 DAY"));


$strSQL = "SELECT * FROM pd_po,pd_posub,pd_dep 
where pd_po.id_po=pd_posub.id_po 
and pd_posub.id_dep=pd_dep.id_dep 
and pd_posub.date_plan BETWEEN '$end' AND '$start' 
and part_status!='ดำเนินการเรียบร้อย'
Order by delivery_date ASC";
$objQuery = mysqli_query($con,$strSQL);  
$i=1;
?>

 <div class="page-header">
		<h1>รายการรอผลิต</h1>
	</div><!-- /.page-header -->
	<?php



$date = date("Y-m-d");

//echo $date;?>
	</br><?

$week = date("N", strtotime($date));//นับลำดับวันที่ในสัปดาห์สัปดาห์ เช่น วันที่ 1,2,3.....
$week1 = date("W", strtotime($date));//นับสัปดาห์ตามจริงของปี เช่นวันนี้เป็นสัปดาห์ที่ 16 ของปี 2014
//$start = date("Y-m-d",strtotime("-".($week-1)." days"));
//$end = date("Y-m-d",strtotime("+".(7-$week)." days"));

//echo "วันนี้คือวันที่ : ".$week." ของสัปดาห์"."<br/>";
//echo "วันนี้อยู่ในสัปดาห์ที่ : ".$week1." ของปี"."<br/>";



$start=date('Y-m-d', strtotime("+30 DAY"));
$end=date('Y-m-d', strtotime("-30 DAY"));
//echo $start."- ".$end;


$start1=date('d-m-Y', strtotime("+30 DAY"));
$end1=date('d-m-Y', strtotime("-30 DAY"));


if($_SESSION['id_dep']=='D02')
{


$strSQL = "SELECT * FROM pd_po,pd_posub,pd_dep 
where pd_po.id_po=pd_posub.id_po 
and pd_posub.id_dep=pd_dep.id_dep 
and part_status='รอดำเนินการงานเครื่องกล'
Order by delivery_date ASC,date_plan ASC";
$objQuery = mysqli_query($con,$strSQL);  
$i=1;
?>
 <div class="table-header"><?php echo "รายการเตรียมผลิตของวันที่ : ".$end1." - ".$start1; ?></div>
				<table id="dynamic-table" class="table table-striped table-bordered table-hover">
				<thead>
					<tr>
					  <th class="center" width='2%'>ลำดับ</th>
					  <th width="10%">ระบุวันที่ผลิต</th>
					  <th width="9%" class="center">PO</th>
						<th width="30%" class="center">Item</th>
						<th width="8%" class="hidden-480">จำนวน</th>
						<th class="hidden-480" width='15%'>วันที่จัดส่ง</th>
						<th class="hidden-480" width='13%'>ผู้รับผิดชอบเริ่มต้น</th>
						<th width='15%'>สถานะ</th>
					</tr>
				</thead>
			   
				<tbody>
				<?php
while($objResult = mysqli_fetch_array($objQuery)){
?>
<?php // นับวัน ก่อนถึงวันครบกำหนด

//echo $objResult['delivery_date'];
						
						$datenub7=date('Y-m-d', strtotime($objResult['delivery_date']."-7 DAY"));
		
						

if($date>=$datenub7){
	?>
	<tr>
					  <td bgcolor="#FFCCDB"><?=$i++; ?></td>
					  <td bgcolor="#FECDDC"><?php	if($objResult['date_plan']=='0000-00-00'){
						   ?>
					    <font color="#FF0000"><b><?php echo $objResult['date_plan'];?></b></font>
					    <?
					  }else
					  {
						  echo $objResult['date_plan']; 
					  }?></td>
					  <td bgcolor="#FFCCDB" ><?=$objResult['no_po']; ?></td>
						<td bgcolor="#FFCCDB" ><?=$objResult['id_item']." - ".$objResult['name_item']; ?></td>
						<td bgcolor="#FFCCDB" ><?=$objResult['part_qty']." ".$objResult['part_unit']; ?></td>
						<td bgcolor="#FECDDC" ><?php	if($objResult['delivery_date']=='0000-00-00'){
						   ?>
						  <font color="#FF0000"><b><?php echo $objResult['delivery_date'];?></b></font>
						  <?
					  }else
					  {
						  echo $objResult['delivery_date']; 
					  }?></td>
						<td bgcolor="#FFCCDB"><?=$objResult['name_dep']; ?></td>
						<td bgcolor="#FFCCDB"><?php //$objResult['part_status']; ?>
                        
                        <?php 
						
						if($objResult['part_status']=='ดำเนินการเรียบร้อย'){
							
							?><font color="#008000"><B><?php echo $objResult['part_status'];?></B></font><?
							
						}else{
							echo $objResult['part_status'];
							
						}
						
						?>
                        
                        
                        <? /*
						<div class="progress pos-rel" data-percent="66%">
							<div class="progress-bar" style="width:66%;"></div>
						  </div>
                          
                          */?></td>
                  </tr>
	<?
}else{
	?>
     <tr>
       <td><?=$i++; ?></td>
       <td><?php	if($objResult['date_plan']=='0000-00-00'){
						   ?>
         <font color="#FF0000"><b><?php echo $objResult['date_plan'];?></b></font>
         <?
					  }else
					  {
						  echo $objResult['date_plan']; 
					  }?></td>
					  <td ><?=$objResult['no_po']; ?></td>
						<td ><?=$objResult['id_item']." - ".$objResult['name_item']; ?></td>
						<td ><?=$objResult['part_qty']." ".$objResult['part_unit']; ?></td>
						<td ><?php	if($objResult['delivery_date']=='0000-00-00'){
						   ?>
                          <font color="#FF0000"><b><?php echo $objResult['delivery_date'];?></b></font>
                        <?
					  }else
					  {
						  echo $objResult['delivery_date']; 
					  }?></td>
						<td><?=$objResult['name_dep']; ?></td>
						<td><?php //$objResult['part_status']; ?>
                        
                        <?php 
						
						if($objResult['part_status']=='ดำเนินการเรียบร้อย'){
							
							?><font color="#008000"><B><?php echo $objResult['part_status'];?></B></font><?
							
						}else{
							echo $objResult['part_status'];
							
						}
						
						?>
                        
                        
                        <? /*
						<div class="progress pos-rel" data-percent="66%">
							<div class="progress-bar" style="width:66%;"></div>
						  </div>
                          
                          */?></td>
                  </tr>
    
    
    
    <?
}
?>
	
				  <?php
				}
				?>
				</tbody>
			   
			</table>
				<?php
}elseif($_SESSION['id_dep']=='D03'){
	

    $strSQL1 = "SELECT * FROM pd_po,pd_posub,pd_dep 
where pd_po.id_po=pd_posub.id_po 
and pd_posub.id_dep=pd_dep.id_dep 
and part_status='รอดำเนินการงานเชื่อม'
Order by delivery_date ASC";
$objQuery1 = mysqli_query($con,$strSQL1);  
$i=1;
?>
				<table id="dynamic-table" class="table table-striped table-bordered table-hover">
				<thead>
					<tr>
					  <th class="center" width='2%'>ลำดับ</th>
					  <th width="10%">ระบุวันที่ผลิต</th>
					  <th width="9%" class="center">PO</th>
						<th width="30%" class="center">Item</th>
						<th width="8%" class="hidden-480">จำนวน</th>
						<th class="hidden-480" width='15%'>วันที่จัดส่ง</th>
						<th class="hidden-480" width='13%'>ผู้รับผิดชอบเริ่มต้น</th>
						<th width='15%'>สถานะ</th>
					</tr>
				</thead>
			   
				<tbody>
				<?php
while($objResult1 = mysqli_fetch_array($objQuery1)){
?>
<?php // นับวัน ก่อนถึงวันครบกำหนด

//echo $objResult['delivery_date'];
						
						$datenub7=date('Y-m-d', strtotime($objResult1['delivery_date']."-7 DAY"));
		
						

if($date>=$datenub7){
	?>
	<tr>
					  <td bgcolor="#FFCCDB"><?=$i++; ?></td>
					  <td bgcolor="#FECDDC"><?php	if($objResult1['date_plan']=='0000-00-00'){
						   ?>
					    <font color="#FF0000"><b><?php echo $objResult1['date_plan'];?></b></font>
					    <?
					  }else
					  {
						  echo $objResult1['date_plan']; 
					  }?></td>
					  <td bgcolor="#FFCCDB" ><?=$objResult1['no_po']; ?></td>
						<td bgcolor="#FFCCDB" ><?=$objResult1['id_item']." - ".$objResult1['name_item']; ?></td>
						<td bgcolor="#FFCCDB" ><?=$objResult1['part_qty']." ".$objResult1['part_unit']; ?></td>
						<td bgcolor="#FECDDC" ><?php	if($objResult1['delivery_date']=='0000-00-00'){
						   ?>
						  <font color="#FF0000"><b><?php echo $objResult1['delivery_date'];?></b></font>
						  <?
					  }else
					  {
						  echo $objResult1['delivery_date']; 
					  }?></td>
						<td bgcolor="#FFCCDB"><?=$objResult1['name_dep']; ?></td>
						<td bgcolor="#FFCCDB"><?php //$objResult['part_status']; ?>
                        
                        <?php 
						
						if($objResult1['part_status']=='ดำเนินการเรียบร้อย'){
							
							?><font color="#008000"><B><?php echo $objResult1['part_status'];?></B></font><?
							
						}else{
							echo $objResult1['part_status'];
							
						}
						
						?>
                        
                        
                        <? /*
						<div class="progress pos-rel" data-percent="66%">
							<div class="progress-bar" style="width:66%;"></div>
						  </div>
                          
                          */?></td>
                  </tr>
	<?
}else{
	?>
     <tr>
       <td><?=$i++; ?></td>
       <td><?php	if($objResult1['date_plan']=='0000-00-00'){
						   ?>
         <font color="#FF0000"><b><?php echo $objResult1['date_plan'];?></b></font>
         <?
					  }else
					  {
						  echo $objResult1['date_plan']; 
					  }?></td>
					  <td ><?=$objResult1['no_po']; ?></td>
						<td ><?=$objResult1['id_item']." - ".$objResult1['name_item']; ?></td>
						<td ><?=$objResult1['part_qty']." ".$objResult1['part_unit']; ?></td>
						<td ><?php	if($objResult1['delivery_date']=='0000-00-00'){
						   ?>
						  <font color="#FF0000"><b><?php echo $objResult1['delivery_date'];?></b></font>
						  <?
					  }else
					  {
						  echo $objResult1['delivery_date']; 
					  }?></td>
						<td><?=$objResult1['name_dep']; ?></td>
						<td><?php //$objResult['part_status']; ?>
                        
                        <?php 
						
						if($objResult1['part_status']=='ดำเนินการเรียบร้อย'){
							
							?><font color="#008000"><B><?php echo $objResult1['part_status'];?></B></font><?
							
						}else{
							echo $objResult1['part_status'];
							
						}
						
						?>
                        
                        
                        <? /*
						<div class="progress pos-rel" data-percent="66%">
							<div class="progress-bar" style="width:66%;"></div>
						  </div>
                          
                          */?></td>
                  </tr>
    
    
    
    <?
}
?>
	
				  <?php
				}
				?>
				</tbody>
			   
			</table>


    
    
    
	
	<?
}
?>  
                        
                        	


							  <!-- PAGE CONTENT ENDS -->
						  </div><!-- /.col -->
						</div><!-- /.row -->
					</div><!-- /.page-content -->
				</div>
			</div><!-- /.main-content -->

			
			<?php include("../utility/footer.php"); ?>


			<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
				<i class="ace-icon fa fa-angle-double-up icon-only bigger-110"></i>
			</a>
		<!-- /.main-container -->

		<!-- basic scripts -->

		<!--[if !IE]> -->
		<script src="../assets/js/jquery-2.1.4.min.js"></script>

		<!-- <![endif]-->

		<!--[if IE]>
<script src="assets/js/jquery-1.11.3.min.js"></script>
<![endif]-->
		<script type="text/javascript">
			if('ontouchstart' in document.documentElement) document.write("<script src='assets/js/jquery.mobile.custom.min.js'>"+"<"+"/script>");
		</script>
		<script src="../assets/js/bootstrap.min.js"></script>

		<!-- page specific plugin scripts -->
		<script src="../assets/js/jquery.dataTables.min.js"></script>
		<script src="../assets/js/jquery.dataTables.bootstrap.min.js"></script>
		<script src="../assets/js/dataTables.buttons.min.js"></script>
		<script src="../assets/js/buttons.flash.min.js"></script>
		<script src="../assets/js/buttons.html5.min.js"></script>
		<script src="../assets/js/buttons.print.min.js"></script>
		<script src="../assets/js/buttons.colVis.min.js"></script>
		<script src="../assets/js/dataTables.select.min.js"></script>

		<!-- ace scripts -->
		<script src="../assets/js/ace-elements.min.js"></script>
		<script src="../assets/js/ace.min.js"></script>

		<!-- inline scripts related to this page -->
		<script type="text/javascript">
			jQuery(function($) {
				//initiate dataTables plugin
				var myTable = 
				$('#dynamic-table')
				//.wrap("<div class='dataTables_borderWrap' />")   //if you are applying horizontal scrolling (sScrollX)
				.DataTable( {
					bAutoWidth: false,
					"aoColumns": [
					  { "bSortable": false },
					  null, null,null, null, null, null, 
					  { "bSortable": false }
					],
					"aaSorting": [],
					
					
					//"bProcessing": true,
			        //"bServerSide": true,
			        //"sAjaxSource": "http://127.0.0.1/table.php"	,
			
					//,
					//"sScrollY": "200px",
					//"bPaginate": false,
			
					//"sScrollX": "100%",
					//"sScrollXInner": "120%",
					//"bScrollCollapse": true,
					//Note: if you are applying horizontal scrolling (sScrollX) on a ".table-bordered"
					//you may want to wrap the table inside a "div.dataTables_borderWrap" element
			
					//"iDisplayLength": 50
			
			
					select: {
						style: 'multi'
					}
			    } );
			
				
				
				$.fn.dataTable.Buttons.defaults.dom.container.className = 'dt-buttons btn-overlap btn-group btn-overlap';
				
				new $.fn.dataTable.Buttons( myTable, {
					buttons: [
					  {
						"extend": "colvis",
						"text": "<i class='fa fa-search bigger-110 blue'></i> <span class='hidden'>Show/hide columns</span>",
						"className": "btn btn-white btn-primary btn-bold",
						columns: ':not(:first):not(:last)'
					  },
					  {
						"extend": "copy",
						"text": "<i class='fa fa-copy bigger-110 pink'></i> <span class='hidden'>Copy to clipboard</span>",
						"className": "btn btn-white btn-primary btn-bold"
					  },
					  {
						"extend": "csv",
						"text": "<i class='fa fa-database bigger-110 orange'></i> <span class='hidden'>Export to CSV</span>",
						"className": "btn btn-white btn-primary btn-bold"
					  },
					  {
						"extend": "excel",
						"text": "<i class='fa fa-file-excel-o bigger-110 green'></i> <span class='hidden'>Export to Excel</span>",
						"className": "btn btn-white btn-primary btn-bold"
					  },
					  {
						"extend": "pdf",
						"text": "<i class='fa fa-file-pdf-o bigger-110 red'></i> <span class='hidden'>Export to PDF</span>",
						"className": "btn btn-white btn-primary btn-bold"
					  },
					  {
						"extend": "print",
						"text": "<i class='fa fa-print bigger-110 grey'></i> <span class='hidden'>Print</span>",
						"className": "btn btn-white btn-primary btn-bold",
						autoPrint: false,
						message: 'This print was produced using the Print button for DataTables'
					  }		  
					]
				} );
				myTable.buttons().container().appendTo( $('.tableTools-container') );
				
				//style the message box
				var defaultCopyAction = myTable.button(1).action();
				myTable.button(1).action(function (e, dt, button, config) {
					defaultCopyAction(e, dt, button, config);
					$('.dt-button-info').addClass('gritter-item-wrapper gritter-info gritter-center white');
				});
				
				
				var defaultColvisAction = myTable.button(0).action();
				myTable.button(0).action(function (e, dt, button, config) {
					
					defaultColvisAction(e, dt, button, config);
					
					
					if($('.dt-button-collection > .dropdown-menu').length == 0) {
						$('.dt-button-collection')
						.wrapInner('<ul class="dropdown-menu dropdown-light dropdown-caret dropdown-caret" />')
						.find('a').attr('href', '#').wrap("<li />")
					}
					$('.dt-button-collection').appendTo('.tableTools-container .dt-buttons')
				});
			
				////
			
				setTimeout(function() {
					$($('.tableTools-container')).find('a.dt-button').each(function() {
						var div = $(this).find(' > div').first();
						if(div.length == 1) div.tooltip({container: 'body', title: div.parent().text()});
						else $(this).tooltip({container: 'body', title: $(this).text()});
					});
				}, 500);
				
				
				
				
				
				myTable.on( 'select', function ( e, dt, type, index ) {
					if ( type === 'row' ) {
						$( myTable.row( index ).node() ).find('input:checkbox').prop('checked', true);
					}
				} );
				myTable.on( 'deselect', function ( e, dt, type, index ) {
					if ( type === 'row' ) {
						$( myTable.row( index ).node() ).find('input:checkbox').prop('checked', false);
					}
				} );
			
			
			
			
				/////////////////////////////////
				//table checkboxes
				$('th input[type=checkbox], td input[type=checkbox]').prop('checked', false);
				
				//select/deselect all rows according to table header checkbox
				$('#dynamic-table > thead > tr > th input[type=checkbox], #dynamic-table_wrapper input[type=checkbox]').eq(0).on('click', function(){
					var th_checked = this.checked;//checkbox inside "TH" table header
					
					$('#dynamic-table').find('tbody > tr').each(function(){
						var row = this;
						if(th_checked) myTable.row(row).select();
						else  myTable.row(row).deselect();
					});
				});
				
				//select/deselect a row when the checkbox is checked/unchecked
				$('#dynamic-table').on('click', 'td input[type=checkbox]' , function(){
					var row = $(this).closest('tr').get(0);
					if(this.checked) myTable.row(row).deselect();
					else myTable.row(row).select();
				});
			
			
			
				$(document).on('click', '#dynamic-table .dropdown-toggle', function(e) {
					e.stopImmediatePropagation();
					e.stopPropagation();
					e.preventDefault();
				});
				
				
				
				//And for the first simple table, which doesn't have TableTools or dataTables
				//select/deselect all rows according to table header checkbox
				var active_class = 'active';
				$('#simple-table > thead > tr > th input[type=checkbox]').eq(0).on('click', function(){
					var th_checked = this.checked;//checkbox inside "TH" table header
					
					$(this).closest('table').find('tbody > tr').each(function(){
						var row = this;
						if(th_checked) $(row).addClass(active_class).find('input[type=checkbox]').eq(0).prop('checked', true);
						else $(row).removeClass(active_class).find('input[type=checkbox]').eq(0).prop('checked', false);
					});
				});
				
				//select/deselect a row when the checkbox is checked/unchecked
				$('#simple-table').on('click', 'td input[type=checkbox]' , function(){
					var $row = $(this).closest('tr');
					if($row.is('.detail-row ')) return;
					if(this.checked) $row.addClass(active_class);
					else $row.removeClass(active_class);
				});
			
				
			
				/********************************/
				//add tooltip for small view action buttons in dropdown menu
				$('[data-rel="tooltip"]').tooltip({placement: tooltip_placement});
				
				//tooltip placement on right or left
				function tooltip_placement(context, source) {
					var $source = $(source);
					var $parent = $source.closest('table')
					var off1 = $parent.offset();
					var w1 = $parent.width();
			
					var off2 = $source.offset();
					//var w2 = $source.width();
			
					if( parseInt(off2.left) < parseInt(off1.left) + parseInt(w1 / 2) ) return 'right';
					return 'left';
				}
				
				
				
				
				/***************/
				$('.show-details-btn').on('click', function(e) {
					e.preventDefault();
					$(this).closest('tr').next().toggleClass('open');
					$(this).find(ace.vars['.icon']).toggleClass('fa-angle-double-down').toggleClass('fa-angle-double-up');
				});
				/***************/
				
				
				
				
				
				/**
				//add horizontal scrollbars to a simple table
				$('#simple-table').css({'width':'2000px', 'max-width': 'none'}).wrap('<div style="width: 1000px;" />').parent().ace_scroll(
				  {
					horizontal: true,
					styleClass: 'scroll-top scroll-dark scroll-visible',//show the scrollbars on top(default is bottom)
					size: 2000,
					mouseWheelLock: true
				  }
				).css('padding-top', '12px');
				*/
			
			
			})
		</script>
	</body>
</html>

